Skip to main content
GET
/
deductions
List deductions
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/deductions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.nmbr.co/services/payroll/deductions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.nmbr.co/services/payroll/deductions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<id>",
      "object": "deduction",
      "data": {
        "work_assignment": {
          "id": "<id>",
          "object": "work_assignment",
          "links": {
            "self": "/work_assignments/<id>"
          }
        },
        "frequency": "per_month",
        "date_basis": "by_period_start_date",
        "pay_period_cadence": [
          1
        ],
        "deduction_type": {
          "id": "<id>",
          "object": "deduction_type",
          "data": {
            "type": "income_tax",
            "label": "Income tax debt",
            "locale": "en"
          },
          "links": {
            "self": "/deduction_types/income_tax"
          }
        },
        "amount": 35,
        "amount_type": "fixed",
        "income_basis": "all_earnings",
        "income_includes": [],
        "income_subtractions": [],
        "income_statutory_withholdings": "none",
        "income_exemption_amount": null,
        "income_exemption_percent": null,
        "effective_from": "2026-01-01",
        "effective_to": null,
        "title": null,
        "title_translations": null,
        "title_translated": null,
        "remittance_account": null,
        "business_preset": null,
        "expense_accounting_code": null,
        "liability_accounting_code": null,
        "external_ref": null,
        "created_at": "2026-01-01T00:00:00.000000Z",
        "updated_at": "2026-01-01T00:00:00.000000Z"
      },
      "links": {
        "self": "/deductions/<id>"
      }
    }
  ],
  "links": {
    "first": "/deductions?work_assignment_id=<id>&page=1",
    "last": "/deductions?work_assignment_id=<id>&page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "has_more": false
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

business_entity_id
string
pay_schedule_id
string
work_assignment_id
string
employee_id
string
has_business_preset
boolean
business_preset_id
string
include_types
Available options:
charitable_donation,
garnishment_order,
income_tax,
other_deduction,
union_dues,
union_dues_post_tax
exclude_types
Available options:
charitable_donation,
garnishment_order,
income_tax,
other_deduction,
union_dues,
union_dues_post_tax
effective_on
string<date>
not_effective_on
string<date>
effective_from
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_from=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: effective_from[gte]=2024-01-01&effective_from[lt]=2024-12-31
effective_to
object

Date filters support two formats: Exact Date Match: Provide a well-formatted date in YYYY-MM-DD format for an exact match. Example: effective_to=2024-01-01 Use an array-like syntax to specify a range with one or more comparison operators:

  • gt (greater than)
  • gte (greater than or equal to)
  • lte (less than or equal to)
  • lt (less than) Example: effective_to[gte]=2024-01-01&effective_to[lt]=2024-12-31
external_ref
string
search_payee_names
string
sort
enum<string>

Sort order is specified using the format sort=field[:direction][,field[:direction],...] where field is the name of the field to sort by and direction is the optional sort direction (asc or desc).

Available options:
effective_from,
effective_to,
work_assignment.payee.default,
work_assignment.payee.first_name,
work_assignment.payee.last_name
tag_id
string
tag_group_id
string
expand
enum<string>[]
Available options:
business_preset,
expense_accounting_code,
liability_accounting_code,
remittance_account,
tag_assignment,
work_assignment

Response

200 - application/json

OK

object
string
read-only

The type of the object in Nmbr ("list").

data
object[]